Bug 807002 - repo units search with rpm --fields different from what the help says
repo units search with rpm --fields different from what the help says
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: z_other (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jay Dobies
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 14:11 EDT by Preethi Thomas
Modified: 2012-05-25 10:16 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-25 10:16:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2012-03-26 14:11:22 EDT
Description of problem:

repo units search --fields errors with title, summary etc, but help list them  as example.

Version-Release number of selected component (if applicable):
[root@preethi-el6-pulp ~]# rpm -q pulp
pulp-0.0.278-1.el6.noarch


How reproducible:


Steps to Reproduce:
1. run  pulp-v2-admin repo units rpm --repo_id=pulp --fields title

2.
3.
  
Actual results:
[root@preethi-el6-pulp ~]# pulp-v2-admin repo units rpm --repo_id=pulp --fields title
Fields must be chosen from the following list: arch, buildhost, checksum,
checksumtype, description, epoch, filename, license, name, provides, release,
requires, vendor, version


see the help


[root@preethi-el6-pulp ~]# pulp-v2-admin repo units rpm --repo_id=pulp --fields
Usage: pulp-v2-admin [options]

Command: rpm
Description: search for RPMs in a repository

Available Arguments:

Required
  --repo_id - identifies the repository to search within

Display
  --fields, -f     - comma-separated list of fields to include for each erratum;
                     if unspecified all of the following will be displayed;
                     valid fields: id, title, summary, severity, type,
                     description
Comment 1 Jay Dobies 2012-04-05 09:31:19 EDT
commit 9c40a5f5d63ecb01e16ccbab7e826e96cdb8e3be
Author: Jay Dobies <jason.dobies@redhat.com>
Date:   Thu Apr 5 09:31:04 2012 -0400

    807002 - Fixed incorrect help on RPM unit search

extensions/rpm_units_search/pulp_cli.py
Comment 2 Jeff Ortel 2012-04-12 18:59:17 EDT
build: 0.282
Comment 3 Preethi Thomas 2012-04-17 13:52:20 EDT
verified
[root@preethi-el6-pulp ~]# rpm -q pulp
pulp-0.0.283-1.el6.noarch
[root@preethi-el6-pulp ~]# 

[root@preethi-el6-pulp ~]# pulp-v2-admin repo units rpm --repo_id=pulp --fields
Usage: pulp-v2-admin [options]

Command: rpm
Description: search for RPMs in a repository

Available Arguments:

Required
  --repo_id - identifies the repository to search within

Display
  --fields, -f     - comma-separated list of fields to include for each unit; if
                     unspecified all of the following will be displayed; valid
                     fields: arch, buildhost, checksum, checksumtype,
                     description, epoch, filename, license, name, provides,
                     release, requires, vendor, version


[root@preethi-el6-pulp ~]# pulp-v2-admin repo units errata --repo_id=pulp --fields
Usage: pulp-v2-admin [options]

Command: errata
Description: search errata in a repository

Available Arguments:

Required
  --repo_id - identifies the repository to search within

Erratum
  --erratum_id - if specified, the full details of an individual erratum are
                 displayed

Display
  --fields, -f     - comma-separated list of fields to include for each unit; if
                     unspecified all of the following will be displayed; valid
                     fields: id, title, summary, severity, type, description
Comment 4 Preethi Thomas 2012-05-25 10:16:03 EDT
Pulp v1.1 Release

Note You need to log in before you can comment on or make changes to this bug.